MONGOC_BULK_OPERATION_REMOVE_MANY_WITH_OPTS(3)

NAME
mongoc_bulk_operation_remove_many_with_opts - mongoc_bulk_operation_remove_many_with_opts()

SYNOPSIS

bool
mongoc_bulk_operation_remove_many_with_opts (mongoc_bulk_operation_t *bulk,
                                             const bson_t *selector,
                                             const bson_t *opts,
                                             bson_error_t *error); /* OUT */

Delete documents as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   selector: A bson_t that selects which document to remove.

•   error: An optional location for a bson_error_t or NULL.

    opts may be NULL or a BSON document with additional command options:

•   collation: Configure textual comparisons. See Setting Collation Order, and the MongoDB Manual entry on Collation. Collation requires MongoDB 3.2 or later, otherwise an error is returned.

•   hint: A document or string that specifies the index to use to support the query predicate.

ERRORS

Operation errors are propagated via mongoc_bulk_operation_execute(), while argument validation errors are reported by the error argument.

RETURNS

Returns true on success, and false if passed invalid arguments.

SEE ALSO:
mongoc_bulk_operation_remove()

mongoc_bulk_operation_remove_one_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc